For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomepageProduct HelpLog inTry for Free
Developers HomeAPI ReferenceMCP
Developers HomeAPI ReferenceMCP
  • Getting Started
    • Introduction
    • Authentication with API Keys
    • Authentication with OAuth
    • API Clients
    • Pagination
    • Specifying Fields
    • Filter Parameters
    • HTTP Response Codes
    • Rate Limits
    • Timezone Offsets
    • Rich Text Fields
    • Changelog
  • CRM Core
    • Leads
    • Contacts
    • Opportunities
    • Tasks
    • Files
    • Custom Objects
    • Comments
  • Activities
    • Activities
    • Notes
    • Calls
    • Emails
    • Email Threads
    • WhatsApp Messages
    • Meetings
    • Custom Activities
    • Creations
    • Form Submissions
    • Lead Status Changes
    • Opportunity Status Changes
    • Lead Merges
    • Task Completions
  • Events & Webhooks
    • Webhooks
      • Webhook Filters
      • GETList Webhook subscriptions
      • POSTCreate new Webhook subscription
      • GETRetrieve a single Webhook subscription
      • PUTUpdate existing Webhook subscription
      • DELDelete Webhook subscription
    • Events
  • Search & Reporting
    • Advanced Filtering
    • Smart Views
    • Reporting
  • Automation & Bulk Actions
    • Sequences (Workflows)
    • Bulk Actions
    • Exports
    • AI Field Enrichment
  • CRM Configuration
    • Custom Fields
    • Custom Activity Types
    • Custom Object Types
    • Pipelines
    • Opportunity Statuses
    • Lead Statuses
    • Integration Links
    • Forms
  • Communication Configuration
    • Email Templates
    • SMS Templates
    • Outcomes
    • Playbooks
    • Scheduling Links Guide
    • Scheduling Links
    • Connected Accounts
    • Send As
    • Unsubscribed Emails
    • Phone Numbers
    • Blocked Phone Numbers
    • Dialers
  • Users & Organizations
    • Users
    • Organizations
    • Memberships
    • Roles
    • Groups
Close

Product

OverviewCommunicationAutomationIntegrationsReportingSMSCallingSecurityForms

Pricing & Use Cases

PricingClose vs Other CRMsCustomer Stories

Resources

Sales BlogSales ResourcesSales GuidesWebinarsOn-Demand DemoSales Tools

Company

AboutCareersPartner with CloseBrand GuidelinesTermsPrivacyGDPRCCPA

Get Help

+1-833-GO-CLOSEHelp CenterDownload the Close AppProduct UpdatesSystem Status
LogoLogo
HomepageProduct HelpLog inTry for Free
Events & WebhooksWebhooks

Update existing Webhook subscription

||View as Markdown|
PUT
https://api.close.com/api/v1/webhook/:id/
PUT
/api/v1/webhook/:id/
$curl -X PUT https://api.close.com/api/v1/webhook/id/ \
> -H "Content-Type: application/json" \
> -u "<CLOSE_API_KEY>:" \
> -d '{
> "status": "paused"
>}'
1{
2 "counters": {},
3 "created_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
4 "date_created": "2018-12-06T19:15:09.590432",
5 "date_updated": "2018-12-06T19:21:12.226090",
6 "events": [
7 {
8 "action": "created",
9 "object_type": "lead"
10 },
11 {
12 "action": "updated",
13 "object_type": "lead"
14 },
15 {
16 "action": "created",
17 "object_type": "activity.call"
18 },
19 {
20 "action": "created",
21 "object_type": "activity.note"
22 },
23 {
24 "action": "updated",
25 "object_type": "activity.note"
26 }
27 ],
28 "health_status": "healthy",
29 "id": "whsub_6un6NQjYTaFdgtIZsTDXP6",
30 "latest_error": null,
31 "pause_reason": "api",
32 "recent_consecutive_fail_buckets_cnt": 0,
33 "signature_key": "058bfb6a3d8cfdc4da7c3be5901b16ae11da982b46a25fb2cd7016e97a140a1c",
34 "status": "paused",
35 "updated_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
36 "url": "https://test.example.com",
37 "verify_ssl": true
38}
Was this page helpful?
Previous

Retrieve a single Webhook subscription

Next

Delete Webhook subscription

Built with

Authentication

AuthorizationBasic
Use your API key as the username and leave the password empty.
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired

Request

This endpoint expects an object.
eventslist of objects or nullOptional

A list of events to subscribe to. Each event has an object_type and an action from values in the event log. You can also use Webhook Filters while creating your subscription so that an event only fires to a Webhook when certain conditions are met.

statusenum or nullOptional
Allowed values:
urlstring or nullOptional
Destination URL for the webhook subscription
verify_sslboolean or nullOptional

Verify SSL certificate of destination webhook URL. Set to false to disable SSL certificate validation. We recommend using https to protect your data during delivery.

Response

Successful response

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error